package com.trade.service.thirdparty.sop.dto;

/**
 * 失信人信息 查询信息类型为0时返回
 */
public class SOPDishonestExecuted {

    /* 执行标的 标识：企业或者个人，默认0表示个人，1表示企业 */
    private Integer judgePerson;
    /* 姓名/名称 */
    private String name;
    /* 案号 */
    private String caseNo;
    /* 立案时间 "yyyy-MM-dd" */
    private String caseDate;
    /* 身份证号码/组织机构代码 */
    private String idCardNo;
    /* 法定代表人或者负责人姓名 */
    private String owenerName;
    /* 执行法院 */
    private String executeCourt;
    /* 省份 */
    private String province;
    /* 做出执行依据单位 */
    private String executedUnit;
    /* 执行依据文号 */
    private String executeNo;
    /* 生效法律文书确定的义务 */
    private String performDuty;
    /* 被执行人的履行情况 */
    private String performStatus;
    /* 失信被执行人行为具体情形 */
    private String detailSituation;
    /* 发布时间 "yyyy-MM-dd" */
    private String publishDate;
    /* 关注次数 */
    private Integer follows;
    /* 数据创建时间 */
    private String createDate;
    /* 数据更新时间 */
    private String updateDate;
    /* 已履行 */
    private String performedPart;
    /* 未履行 */
    private String unperformPart;
    /* 接口时间戳 "yyyy-MM-dd HH:mm:ss" */
    private String gmtModified;
    /* 执行法院简拼 */
    private String executeCourtSimplePin;
    /* 执行法院全拼 */
    private String executeCourtFullPin;

    public Integer getJudgePerson() {
        return judgePerson;
    }

    public void setJudgePerson(Integer judgePerson) {
        this.judgePerson = judgePerson;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }

    public String getCaseDate() {
        return caseDate;
    }

    public void setCaseDate(String caseDate) {
        this.caseDate = caseDate;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public String getOwenerName() {
        return owenerName;
    }

    public void setOwenerName(String owenerName) {
        this.owenerName = owenerName;
    }

    public String getExecuteCourt() {
        return executeCourt;
    }

    public void setExecuteCourt(String executeCourt) {
        this.executeCourt = executeCourt;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getExecutedUnit() {
        return executedUnit;
    }

    public void setExecutedUnit(String executedUnit) {
        this.executedUnit = executedUnit;
    }

    public String getExecuteNo() {
        return executeNo;
    }

    public void setExecuteNo(String executeNo) {
        this.executeNo = executeNo;
    }

    public String getPerformDuty() {
        return performDuty;
    }

    public void setPerformDuty(String performDuty) {
        this.performDuty = performDuty;
    }

    public String getPerformStatus() {
        return performStatus;
    }

    public void setPerformStatus(String performStatus) {
        this.performStatus = performStatus;
    }

    public String getDetailSituation() {
        return detailSituation;
    }

    public void setDetailSituation(String detailSituation) {
        this.detailSituation = detailSituation;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public Integer getFollows() {
        return follows;
    }

    public void setFollows(Integer follows) {
        this.follows = follows;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getPerformedPart() {
        return performedPart;
    }

    public void setPerformedPart(String performedPart) {
        this.performedPart = performedPart;
    }

    public String getUnperformPart() {
        return unperformPart;
    }

    public void setUnperformPart(String unperformPart) {
        this.unperformPart = unperformPart;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getExecuteCourtSimplePin() {
        return executeCourtSimplePin;
    }

    public void setExecuteCourtSimplePin(String executeCourtSimplePin) {
        this.executeCourtSimplePin = executeCourtSimplePin;
    }

    public String getExecuteCourtFullPin() {
        return executeCourtFullPin;
    }

    public void setExecuteCourtFullPin(String executeCourtFullPin) {
        this.executeCourtFullPin = executeCourtFullPin;
    }
}
